Bug 32308 - Allow apps without repository
Allow apps without repository
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - App-Center
UCS 3.1
Other Linux
: P5 enhancement (vote)
: UCS 3.2
Assigned To: Dirk Wiesenthal
Florian Best
: interim-2
Depends on: 32398
Blocks: 32301 32875
  Show dependency treegraph
 
Reported: 2013-08-22 15:08 CEST by Alexander Kläser
Modified: 2013-11-19 06:41 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
webproxy.ini (2.18 KB, text/plain)
2013-08-28 12:56 CEST, Dirk Wiesenthal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2013-08-22 15:08:47 CEST
The current system components from the UMC module "Basis settings" will be integrated into the App Center. For this, we need to allow "apps" (=system components) without their own repository, e.g., via an additional flag in the .ini file.
Comment 1 Dirk Wiesenthal univentionstaff 2013-08-28 12:56:43 CEST
Created attachment 5402 [details]
webproxy.ini

Works quite well in
  univention-management-console-module-appcenter 3.0.20-1.172.201308281205

Do we need some text for the user? Something like "This application is part of the UCS standard installation"?

Attached is webproxy.ini (taken from the univention-installer info file). Does not have any translations yet. To test this, you need to "patch" /usr/share/pyshared/univention/management/console/modules/appcenter/app_center.py and "return" immediately after "def sync_with_server(cls):". After UMC restart you can safely add the attached file to /var/cache/univention-management-console/appcenter/
Comment 2 Dirk Wiesenthal univentionstaff 2013-09-03 09:02:03 CEST
Stable enough for QA
Comment 3 Florian Best univentionstaff 2013-09-19 11:39:47 CEST
Fix: OK
no repositories UCR variables are generated.
Changelog: OK

(In reply to Dirk Wiesenthal from comment #1)
> Do we need some text for the user? Something like "This application is part
> of the UCS standard installation"?
Not my decision but I think the category is enough (and then does not need extra logic to implement). It would also be false to show that hint when WithoutRepository==True (e.g. if we simply add a debian package as app).
Comment 4 Stefan Gohmann univentionstaff 2013-11-19 06:41:23 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".